Download it now!
Bug 129442 - FILEOPEN DOCX Right border of table missing
Summary: FILEOPEN DOCX Right border of table missing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Szabolcs Toth
URL:
Whiteboard: target:6.5.0 target:6.4.0.2
Keywords:
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2019-12-17 09:35 UTC by NISZ LibreOffice Team
Modified: 2020-10-09 08:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (17.89 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-12-17 09:36 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (76.21 KB, image/png)
2019-12-17 09:36 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-12-17 09:35:32 UTC
Description:
Attached DOCX file made in Word contains a simple 1 column and 3 rows table with internal borders turned off.
When opened in Writer the right vertical border of the table is missing.


Steps to Reproduce:
1.	Create a table in Word with 1 column and a few rows
2.	Turn off the internal borders of the table
3.	Save the file and reopen it in Writer


Actual Results:
The right vertical external border of the table is missing.

Expected Results:
External border visible is all around the table.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Verzió: 6.4.0.0.beta1 (x86)
Build az.: 4d7e5b0c40ed843384704eca3ce21981d4e98920
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: CL

Also happens in:
Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: hu-HU (hu_HU)

Verzió: 4.0.0.3 (Build az.: 7545bee9c2a0782548772a21bc84a9dcc583b89)

Verzió: 3.6.0.4 (Build az.: 932b512)

There were no borders at all in:
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 1 NISZ LibreOffice Team 2019-12-17 09:36:19 UTC
Created attachment 156617 [details]
Example file from Word
Comment 2 NISZ LibreOffice Team 2019-12-17 09:36:41 UTC
Created attachment 156618 [details]
Screenshot of the original document side by side in Word and Writer
Comment 3 Xisco Faulí 2019-12-17 10:27:32 UTC
Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: f86824cca0c442d371379d2ea0bff2241f18ab3d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Commit Notification 2020-01-06 10:33:04 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8a2eb40abbd52d960dd21308157186be0ca9dd3d

tdf#129442 DOCX import: fix right border of 1-column tables

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-01-07 15:45:18 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: bf540873f5e258452fed5006f65a403c95e7872a
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Szabolcs Toth, thanks for fixing this issue!
Comment 6 Commit Notification 2020-01-08 09:14:40 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/327de796b8a44028b2d49387a977663c88f59956

tdf#129442 DOCX import: fix right border of 1-column tables

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Timur 2020-10-09 08:09:30 UTC
Does this oldie need a unit test?
Comment 8 NISZ LibreOffice Team 2020-10-09 08:30:59 UTC
(In reply to Timur from comment #7)
> Does this oldie need a unit test?

There was already one in the commit.